## delay 1.0

=== Makefile ===
.PHONY : release install clean

OUT = delay
OBJ = main.o dtbuf.o time_ms.o
CFLAGS = -Wall -O3

release: delay

delay: $(OBJ)
	$(CC) $(CFLAGS) -o $(OUT) $(OBJ)

$(OBJ): dtbuf.h time_ms.h

fmt:
	indent --linux-style \
		--indent-level4 \
		--no-tabs \
		--format-all-comments \
		--braces-on-if-line \
		--space-after-cast \
		*.c *.h
	# fix indent breaking pointer alignment on some function signatures
	find -name '*.[ch]' -exec sed -i '/^[a-z].*(.*)$$/s/ \* / */' {} ';'

clean:
	rm -f $(OBJ) $(OUT)

install: release
	install $(OUT) $(DESTDIR)/usr/local/bin

=== debian/changelog ===
delay (1.0-6) unstable; urgency=medium

  * Fix d/watch issue
  * Remove obsolete field Name from debian/upstream/metadata
  * d/control:
    - Bump Standards-Version to 4.6.1.0
    - Bump debhelper-compat to 13
  * d/copyright:
    - Update copyright year and content
  * d/rules:
    - Remove unneeded flag

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 18 Dec 2022 16:21:49 +0800

delay (1.0-5) unstable; urgency=low

  [ Kun-Hung Tsai (蔡昆宏) ]
  * d/test:
    - Fix debian test shell error

  [ SZ Lin (林上智) ]
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 30 Nov 2019 17:44:37 +0800

delay (1.0-4) unstable; urgency=low

  * d/test: Fix debian test shell error

 -- Kun-Hung Tsai (蔡昆宏) <moonape1226@gmail.com>  Fri, 09 Aug 2019 15:43:01 +0800

delay (1.0-3) unstable; urgency=low

  [ Kun-Hung Tsai (蔡昆宏) ]
  * d/test: Update debian test script
  * d/watch: Update watch file to fix lintian warning

  [ SZ Lin (林上智) ]
  * d/control:
    - Bump Standards-Version to 4.4.0

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 07 Aug 2019 23:19:41 +0800

delay (1.0-2) unstable; urgency=low

  * d/copyright: Update source code licence
  * d/control: Bump debhelper version to 12
  * d/control: Bump standard version to 4.3.0
  * d/compat: Bump compat version to 12

 -- Kun-Hung Tsai (蔡昆宏) <moonape1226@gmail.com>  Mon, 14 Jan 2019 10:40:13 +0800

delay (1.0-1) unstable; urgency=low

  * Initial release (Closes: #860572)

 -- Kun-Hung Tsai (蔡昆宏) <moonape1226@gmail.com>  Tue, 27 Nov 2018 18:57:10 +0800

=== debian/control ===
Source: delay
Section: misc
Priority: optional
Maintainer: Kun-Hung Tsai (蔡昆宏) <moonape1226@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/rom1v/delay
Vcs-Browser: https://salsa.debian.org/debian/delay
Vcs-Git: https://salsa.debian.org/debian/delay.git

Package: delay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Constant delay generator
 delay introduces a constant delay between its standard input
 and its standard output. The data from its stdin will be
 stored until it has been written to stdout.

=== debian/watch ===
version=4

opts=\
    "filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/delay-$1.tar.gz/" \
    https://github.com/rom1v/delay/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
